Bug 239347

Summary: databases/percona57-{server,client}: unbreak build with LibreSSL, some cleanups
Product: Ports & Packages Reporter: Dima Panov <fluffy>
Component: Individual Port(s)Assignee: Mark Felder <feld>
Status: Closed FIXED    
Severity: Affects Many People CC: igorz
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
databases/percona57-{server,client} unbreak build with LibreSSL, some cleanups
none
patch 5.7.27-30
none
for version 5.7.28-31
none
for version 5.7.28-31
none
for version 5.7.28-31 none

Description Dima Panov freebsd_committer 2019-07-20 16:22:35 UTC
Created attachment 205943 [details]
databases/percona57-{server,client} unbreak build with LibreSSL, some cleanups

percona57-client:
- Install compat pkgconfig symlink as well as it done for libs (many packages still search for mysqlclient.pc only)

percona57-server:
- Proper use system lz4/zstd libs for rocksdb engine
- Declare system libevent to use instead of bundled one
- Stop pollute libdata/pkgconfig dir with unneeded .pc file
- Unbreak build with LibreSSL

Bump PORTREVISIONs due to pkg-plist and dependency changes
Comment 1 Dima Panov freebsd_committer 2019-07-20 16:26:59 UTC
Assign to maintainer
Comment 2 Igor Zabelin 2019-09-09 09:20:04 UTC
Created attachment 207316 [details]
patch 5.7.27-30

Released version 5.7.27-30
Comment 3 commit-hook freebsd_committer 2019-12-06 16:01:12 UTC
A commit references this bug:

Author: fluffy
Date: Fri Dec  6 16:00:39 UTC 2019
New revision: 519153
URL: https://svnweb.freebsd.org/changeset/ports/519153

Log:
  databases/percona57-{server,client} update to 5.7.27-30 release

  percona57-client:
  - Install compat pkgconfig symlink as well as it done for libs
  (many packages still search for mysqlclient.pc only)

  percona57-server:
  - Proper use system lz4/zstd libs for rocksdb engine
  - Declare system libevent to use instead of bundled one
  - Stop pollute libdata/pkgconfig dir with unneeded .pc file
  - Unbreak build with DEFAULT_VERSIONS+=ssl=libressl

  PR:		239347
  Submitted by:	fluffy [cleanups], Igor Zabelin [update]
  Approved by:	maintainer (timeout, >3 months)

Changes:
  head/databases/percona57-client/Makefile
  head/databases/percona57-client/files/patch-scripts_CMakeLists.txt
  head/databases/percona57-client/pkg-plist
  head/databases/percona57-server/Makefile
  head/databases/percona57-server/distinfo
  head/databases/percona57-server/files/extrapatch-tokudb
  head/databases/percona57-server/files/patch-mysys__ssl_my__crypt.cc
  head/databases/percona57-server/files/patch-scripts_CMakeLists.txt
  head/databases/percona57-server/files/patch-sql_auth_sha2__password__common.cc
  head/databases/percona57-server/files/patch-sql_mysqld.cc
  head/databases/percona57-server/files/patch-storage_rocksdb_CMakeLists.txt
  head/databases/percona57-server/files/patch-vio_viosslfactories.c
  head/databases/percona57-server/pkg-plist
Comment 4 Dima Panov freebsd_committer 2019-12-06 16:05:57 UTC
Committed!
Comment 5 Igor Zabelin 2019-12-06 18:51:41 UTC
Created attachment 209764 [details]
for version 5.7.28-31

Next patch for version 28-31. Minor changes.
Comment 6 Igor Zabelin 2019-12-11 10:09:17 UTC
Created attachment 209857 [details]
for version 5.7.28-31


Percona Server 5.7.28-31
Bugs Fixed

    When using skip-innodb_doublewrite in my.cnf, a parallel doublewrite buffer is still created. Bugs fixed #3411.
    During a binlogging replication event, if the master crashes after the multi-threaded slave has begun copying to the slave’s relay log and before the process has completed, a STOP SLAVE on the slave takes longer than expected. Bug fixed #5824.
    If pam_krb5 is configured to allow the user to change their password, and the password expired, the server crashed after receiving the new password. Bug fixed #6023.

Other bugs fixed: #5427, #5859, #5910, #5966, #4784, #5216, #5327, #5584, #5642, #5659, #5687, #5754, #5761, #5797, #5875, #5933, #5941, #5997, #6050, #6052, #3345, and #5585
Comment 7 Igor Zabelin 2019-12-11 10:44:34 UTC
Created attachment 209859 [details]
for version 5.7.28-31